Show / Hide Table of Contents

# Class ToastGui

This class facilitates interacting with and creating native toast windows.

##### Inheritance

System.Object
ToastGui

##### Implements

System.IDisposable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Gui.Toast

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class ToastGui : IDisposable

### Methods

| Improve this Doc View Source

#### Dispose()

Disposes of managed and unmanaged resources.

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Enable()

Enables this module.

##### Declaration

    public void Enable()

| Improve this Doc View Source

#### ShowError(SeString)

Show an error toast message with the given content.

##### Declaration

    public void ShowError(SeString message)

##### Parameters

Type | Name | Description
--- | --- | ---
SeString | message | The message to be shown.

| Improve this Doc View Source

#### ShowError(String)

Show an error toast message with the given content.

##### Declaration

    public void ShowError(string message)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | The message to be shown.

| Improve this Doc View Source

#### ShowNormal(SeString, ToastOptions)

Show a toast message with the given content.

##### Declaration

    public void ShowNormal(SeString message, ToastOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
SeString | message | The message to be shown.
ToastOptions | options | Options for the toast.

| Improve this Doc View Source

#### ShowNormal(String, ToastOptions)

Show a toast message with the given content.

##### Declaration

    public void ShowNormal(string message, ToastOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | The message to be shown.
ToastOptions | options | Options for the toast.

| Improve this Doc View Source

#### ShowQuest(SeString, QuestToastOptions)

Show a quest toast message with the given content.

##### Declaration

    public void ShowQuest(SeString message, QuestToastOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
SeString | message | The message to be shown.
QuestToastOptions | options | Options for the toast.

| Improve this Doc View Source

#### ShowQuest(String, QuestToastOptions)

Show a quest toast message with the given content.

##### Declaration

    public void ShowQuest(string message, QuestToastOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | The message to be shown.
QuestToastOptions | options | Options for the toast.

### Events

| Improve this Doc View Source

#### ErrorToast

Event that will be fired when an error toast is sent by the game or a plugin.

##### Declaration

    public event ToastGui.OnErrorToastDelegate ErrorToast

##### Event Type

Type | Description
--- | ---
ToastGui.OnErrorToastDelegate |

| Improve this Doc View Source

#### QuestToast

Event that will be fired when a quest toast is sent by the game or a plugin.

##### Declaration

    public event ToastGui.OnQuestToastDelegate QuestToast

##### Event Type

Type | Description
--- | ---
ToastGui.OnQuestToastDelegate |

| Improve this Doc View Source

#### Toast

Event that will be fired when a toast is sent by the game or a plugin.

##### Declaration

    public event ToastGui.OnNormalToastDelegate Toast

##### Event Type

Type | Description
--- | ---
ToastGui.OnNormalToastDelegate |

### Implements

System.IDisposable